import { Component, OnInit, Input } from '@angular/core';

import { IUser } from '../../models/user';
import {Store} from '@ngrx/store';
import * as appReducers from '../../reducers/app-common.reducer';
import * as appActions from '../../actions/app-common.actions';

@Component({
  selector: 'fm-app-menu',
  templateUrl: './app-menu.component.html',
  styleUrls: ['./app-menu.component.scss']
})
export class AppMenuComponent implements OnInit {

  @Input() user:IUser;
  @Input() showMenu:boolean;
  public noContent: boolean = true;

  constructor(private store: Store<appReducers.State>) { }

  ngOnInit(): void {
  }

  toggle(event:MouseEvent) {
    event.stopPropagation();
    this.store.dispatch(new appActions.ToggleAppMenu());
  } 

  activateRoute() {
    this.noContent=false;
  }

  deActivateRoute() {
    this.noContent=true;
  }

}
